using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.Config
{
    public class ConfigItemMap : EntityTypeConfiguration<Core.Domain.Config.ConfigItem>
    {
        public ConfigItemMap()
        {
            ToTable("ConfigItem");

            HasKey(f => f.Id);

            Property(f => f.Name);
            Property(f => f.TypeFullName);
            Property(f => f.Value);
            Property(f => f.Description);
        }
    }
}